Troubleshooting Java with Administrative & Business Applications on Windows 10

Tags oracle java

This information is to help troubleshoot Java-related issues with our campus enterprise systems, which are used to manage the business functions of the college.

  • Parnassus for Financial Services 
  • Advance for Institutional Advancement
  • Nolij Web for electronic document management

Audience

This article is intended for faculty, staff, and student employees that use Nolij Web, Parnassus "core" applications, or Advance Web.

Platform

Microsoft Windows 10 with Java

Contents

System Requirements for Applications

Java

Enterprise systems are compatible with the latest version of Java. As of 4/17/20 the latest version is Java 8 Update 251. 

- Internet Explorer is the required Web browser for Parnassus.
Make sure there is only one version of Java on the computer (Click the Windows icon > type Add or remove programs then select it). If you have multiple versions of Java you      will need to uninstall all versions of Java then download the newest version from Java.comImportant: Be sure not to install the "64-bit" version of Java. ​​​​​​
- Users can safely ignore warnings on that site about usage restrictions of the Java license; IC users of enterprise business systems are authorized to install and use Java.

Enable Java

Sometimes Internet Explorer needs an additional step, here's how to add Parnassus to Internet Explorer's trusted sites:
Open Internet Explorer
Click the Tools  (at the top right of the browser) 
Click Internet options
Click the Security tab
Click Trusted Sites
Click Sites
Type https://ainfprx01.ithaca.edu:4430 within the box labeled "Add this website to the zone:"
Click Add > Close > OK

When first installing Java on machines, it needs to be enabled. You may confirm Java is enabled by following the steps below:

  1. Click the Tools  button in the top right of the Internet Explorer window.
  2. Click Manage add-ons.
  3. Scroll to the bottom of the list.
  4. Select Java Plug-in SSV Helper in the list and confirm that the status is Enabled.
  5. Then select Java Plug-in 2 SSV Helper and confirm that the status is Enabled.
  6. If one or both of the above is not enabled, right-click the disabled item and select Enable.
  7. Quit IE and restart it for the changes to take effect.

Update Java

You may check and update your version of Java on their  official website, or by following the steps below:

Important: Be sure not to install the "64-bit" version of Java. If your installed version is too old, you may be prompted to remove all older versions manually before installing the latest version.
  1. Open the Start Menu .
  2. Enter Java with the Start Menu  open, which will initiate a search.
  3. Click Configure Java from the list of results. A new window will open with the Java Control Panel.
  4. Click Update at the top of the window.
  5. Click the Check Now button at the bottom of this window to perform an update check. If there is an update available, a new window will open.
  6. Click Update > .
  7. Java will prompt for administrator approval to perform the update. Click Yes.
  8. Java will download the installer, and after loading, may prompt to add a search feature and home page to your browser. Uncheck the box next to the option to add the search and home page feature and proceed through the installation.
  9. After the installation completes, Java will prompt for your default browser to open and confirm updates. You may close this window.

Parnassus Core Applications

When Java is initially installed or updated, certain settings may need to be changed for it to work correctly with Parnassus:

  1. Open the Start Menu.
  2. Type Java and click Configure Java from the list of results. The Java Control Panel opens.
  3. Click Advanced at the top of the window.
  4. Scroll to the bottom of the list to the section labeled Advanced Security Settings.
  5. Uncheck Use TLS 1.2, Use TLS 1.1, and Use SSL compatible ClientHello format.
  6. Click OK at the bottom of the window.
  7. Quit IE and restart it for the changes to take effect.

Nolij Web

Nolij Web does not require specific settings or configurations. Please ensure that Java is up to date for use with Nolij.

Advance Web

Advance Web does not use specific Java settings or configurations. Please ensure that Java is up to date for use with Advance.

Details

Article ID: 72
Created
Tue 8/1/17 2:59 PM
Modified
Fri 4/17/20 10:32 AM